Create Feedback
Creates feedback in the system based on the message and/or rating provided by a user
- Type: stringAuthorizationrequired
Used to authorize the request with access_token. It should be supplied as
Bearer ACCESS_TOKEN_GOES_HERE. - Type: stringx
-pch -digest requiredThe signature for the API call
- Type: stringAcceptrequired
Advertises which content types the client is able to understand
- Type: stringAccept
- Language Preferred language
- Type: stringContent
- Type requiredSet this header to application/json.
- Type: stringUser
- Agent requiredUsed to identify the software, device, and application initiating the request, providing information about the client to the server. For details, see User Agent.
- Type: integercheckin
_id ID of the check-in for which a user provides feedback
- Type: stringclient
OAuth client ID provided by the business
- Type: integerfacebook
_post _id ID of the feedback posted by a user to the user's Facebook account
- Type: stringmessage
Text feedback that a user provides. At least one of 'message', 'rating', 'photo_url', or 'video_url' must be provided.
- Type: integerFormat: int32rating
Rating that a user provides. The maximum rating is indicated in the
maximum_rating_in_feedbackresponse parameter in the Program Meta API. At least one of 'message', 'rating', 'photo_url', or 'video_url' must be provided. - Type: integerredemption
_id ID of the redemption for which a user provides feedback
- Type: booleanrepublishable
Whether the feedback message can be republished on a social media platform or not. The default value is "true", so the user must explicitly specify not to allow it.
- Type: booleanrequires
_response Whether the user wants to be contacted by the business for this feedback or not
- application/json
- application/json
- application/json
- application/json
- application/json
curl https://SERVER_NAME_GOES_HERE.punchh.com/api2/mobile/feedbacks \
--request POST \
--header 'Authorization: Bearer ACCESS_TOKEN_GOES_HERE' \
--header 'x-pch-digest: {{$$.env.signature}}' \
--header 'Accept: application/json' \
--header 'Accept-Language: en' \
--header 'Content-Type: application/json' \
--header 'User-Agent: AppName/AppVersion/BuildNumber (OS; Model; MANUFACTURER; MODEL; OS Version)' \
--data '{
"client": "CLIENT_GOES_HERE",
"message": "Good Coffee.",
"rating": 5,
"checkin_id": "8393395",
"redemption_id": "925805",
"facebook_post_id": "1496981783892853",
"republishable": false,
"requires_response": false
}'
{
"feedback_id": 267383
}